# Class ConfirmDirective<T>

#### Type Parameters

- T = any

#### Implements

- OnDestroy

- Defined in confirm/confirm.directive.ts:28

#####
Index

### Constructors

constructor

### Properties

confirmed
elementRef
isOverlyOpen
overlay
positionStrategy?
unconfirmed

### Accessors

eventValue

### Methods

ngOnDestroy
onClick
onConfirmed
onUnconfirmed
openConfirmOverly

##
Constructors

### constructor

- new ConfirmDirective<T = any>(
  overlay: Overlay,
  elementRef: ElementRef,
  ): ConfirmDirective<T>

  #### Type Parameters

  - T = any

  #### Parameters

  - overlay: Overlay
  - elementRef: ElementRef

  #### Returns ConfirmDirective<T>

  - Defined in confirm/confirm.directive.ts:54

##
Properties

### confirmed

confirmed: EventEmitter<undefined | T> = ...

- Defined in confirm/confirm.directive.ts:39

### `Protected` `Readonly` elementRef

elementRef: ElementRef

- Defined in confirm/confirm.directive.ts:58

### `Protected` isOverlyOpen

isOverlyOpen: boolean = false

- Defined in confirm/confirm.directive.ts:52

### `Protected` `Readonly` overlay

overlay: Overlay

- Defined in confirm/confirm.directive.ts:56

### `Protected` `Optional` positionStrategy

positionStrategy?: PositionStrategy

- Defined in confirm/confirm.directive.ts:50

### unconfirmed

unconfirmed: EventEmitter<undefined | T> = ...

- Defined in confirm/confirm.directive.ts:42

##
Accessors

### eventValue

- set eventValue(value: "" | T): void

  #### Parameters

  - value: "" | T

  #### Returns void

  - Defined in confirm/confirm.directive.ts:32

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in confirm/confirm.directive.ts:79

### onClick

- onClick($event?: Event): void

  #### Parameters

  - `Optional`$event: Event

  #### Returns void

  - Defined in confirm/confirm.directive.ts:75

### `Protected` onConfirmed

- onConfirmed(eventValue?: T): void

  #### Parameters

  - `Optional` eventValue: T

  #### Returns void

  - Defined in confirm/confirm.directive.ts:138

### `Protected` onUnconfirmed

- onUnconfirmed(eventValue?: T): void

  #### Parameters

  - `Optional` eventValue: T

  #### Returns void

  - Defined in confirm/confirm.directive.ts:142

### `Protected` openConfirmOverly

- openConfirmOverly(): void

  #### Returns void

  - Defined in confirm/confirm.directive.ts:84